Bug 996231 - usbmuxd has broken package scripts
usbmuxd has broken package scripts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usbmuxd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: Reopened
: 1000800 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 13:38 EDT by Michal Jaegermann
Modified: 2013-11-05 07:43 EST (History)
5 users (show)

See Also:
Fixed In Version: usbmuxd-1.0.8-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 07:43:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2013-08-12 13:38:32 EDT
Description of problem:

Updating usbmuxd package causes the following:


/var/tmp/rpm-tmp.wU8App: line 2: fg: no job control
warning: %post(usbmuxd-1.0.8-8.fc20.x86_64) scriptlet failed, exit status 1

Not surprising at all as that package scripts look like follows:
.....
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
%systemd_post usbmuxd.service
preuninstall scriptlet (using /bin/sh):
%systemd_preun usbmuxd.service

%postun/
sbin/ldconfig
%systemd_postun_with_restart usbmuxd.service


Version-Release number of selected component (if applicable):
usbmuxd-1.0.8-8.fc20
Comment 1 Peter Robinson 2013-08-31 10:12:18 EDT
*** Bug 1000800 has been marked as a duplicate of this bug. ***
Comment 2 Fedora End Of Life 2013-09-16 12:31:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Michal Jaegermann 2013-10-10 18:25:44 EDT
> Fixed In Version: usbmuxd-1.0.8-9

It does not look that way.  At least for rawhide.

# rpm -q --scripts usbmuxd-1.0.8-9.fc21
......
postinstall scriptlet (using /bin/sh):
/sbin/ldconfig
%systemd_post usbmuxd.service
preuninstall scriptlet (using /bin/sh):
%systemd_preun usbmuxd.service
postuninstall scriptlet (using /bin/sh):
/sbin/ldconfig
%systemd_postun_with_restart usbmuxd.service

and one gets on an update:

/var/tmp/rpm-tmp.O9F96o: line 2: fg: no job control
warning: %post(usbmuxd-1.0.8-9.fc21.x86_64) scriptlet failed, exit status 1
Non-fatal POSTIN scriptlet failure in rpm package usbmuxd-1.0.8-9.fc21.x86_64
Comment 4 Christopher Meng 2013-10-17 23:08:53 EDT
It now made my system:

[root@fab rpmaker]# rpm -qa|grep usbmuxd
usbmuxd-1.0.8-8.fc20.i686
usbmuxd-1.0.8-9.fc21.i686
usbmuxd-1.0.8-10.fc21.i686
Comment 5 Christopher Meng 2013-10-17 23:13:49 EDT
Solution:


package-cleanup --noscripts --cleandupes

Note You need to log in before you can comment on or make changes to this bug.